# -*- coding: utf-8 -*-

from django.conf import settings

import shortuuid


def curtailUUID(model, field='uuid', length=settings.CURTAIL_UUID_LENGTH):
    flag = True
    while flag:
        uuid = shortuuid.uuid()[-length:]
        try:
            model.objects.get(**{field: uuid})
        except model.DoesNotExist:
            flag = False
    return uuid
